//ListCopyCon.java

import java.util.*;

// python-example 11
public class ListCopyCon {

    LinkedList ll = new LinkedList();

    ListCopyCon(int num) {
	ll.add("zero");
	if (num >0) ll.add("one");
	if (num >1) ll.add("two");
 	if (num >2) ll.add("three");
	if (num >3) ll.add("four");
	if (num >4) ll.add("five");
    }
	
    // a copy constructor, for String Objects ok 
    ListCopyCon(ListCopyCon lcc) {
         //clone makes shallow copies only!
	this.ll = (LinkedList) lcc.ll.clone();
    }

    public void add(Object o) {	ll.add(o); }
    public Object remove(int pos) { return ll.remove(pos); }

    public void show() {
	for(int i=0; i < ll.size(); i++)
	    System.out.println("Pos " + i + ": " + ll.get(i));
    }

    public static void main(String[] args) throws Exception {
	ListCopyCon lcc1 = new ListCopyCon(4);
	ListCopyCon lcc2 = new ListCopyCon(lcc1);

	System.out.println("lcc1");
	lcc1.add("six");
	lcc1.show();
	System.out.println("lcc2");
	lcc2.add("five");
	lcc2.show();
	lcc1.remove(2);
	System.out.println("removing 'two' in lcc1");
	System.out.println("lcc1");
	lcc1.show();
	System.out.println("lcc2");
	lcc2.show();



   }


}
