//SysInfoGui.java
// code for appletviewer (call it: appletviewer HelloWorldAplt.java)
// <applet code="SysInfoGui" width="250" height="80">
// </applet>

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.table.*;
import javax.swing.event.*;

public class SysInfoGui extends JApplet {
    JTextArea txt = new JTextArea(4, 20);
    // The TableModel controls all the data:
    class DataModel extends AbstractTableModel {

	final int maxrows = 60, maxcols = 3;
	int cols, rows;
	Object[][] data = new Object[maxrows][maxcols];
	final String middle = "<-!->", onend="!!!->";

	private void fillData() {
	    String allProps;
	    try {
		allProps = SysInfoHelper.gatherInfo("",middle,onend);
	    } catch (java.security.AccessControlException e) {
		data[0][0] = "-";
		data[0][1] =  "-";//e.toString();
		data[0][2] =  "-";//e.getMessage();
		data[1][0] = "-";
		data[1][1] =  "-";//e.toString();
		data[1][2] =  "-";//e.getMessage();
		System.out.println("got cougt.");
		return;
	    }
	String[] props = allProps.split(onend);
	  cols = props[0].split(middle).length;
	  rows = props.length;
	  for(int i = 0; i < rows; i++) 
	      for(int j = 0; j < cols; j++) {
		  try {
		      if(props[i].split(middle)[j] != null) 
			  data[i][j] = props[i].split(middle)[j];
		      else
			  data[i][j] = "-";
		  } catch (java.lang.ArrayIndexOutOfBoundsException e) { }
	      }
	}

    // Prints data when table changes:
	class TML implements TableModelListener {
	    public void tableChanged(TableModelEvent e){
		txt.setText(""); // Clear it
		for(int i = 0; i < data.length; i++) {
		    for(int j = 0; j < data[0].length; j++)
			txt.append(data[i][j] + " ");
		    txt.append("\n");
		}
	    }
	}

    public DataModel() {
	fillData();
	addTableModelListener(new TML());
    }
    public int getColumnCount() { 
	//return data[0].length; 
	return cols;
    }
    public int getRowCount() { 
	//return data.length;
	return rows;
    }
    public Object getValueAt(int row, int col) {
	return data[row][col]; 
    }
    public void 
    setValueAt(Object val, int row, int col) {
      data[row][col] = val;
      // Indicate the change has happened:
      fireTableDataChanged();
      }

    public boolean 
    isCellEditable(int row, int col) { 
      return true; 
    }
  }
  public void init() {
 
    Container cp = getContentPane();
    JTable table = new JTable(new DataModel());
    cp.add(new JScrollPane(table));
//    cp.add(BorderLayout.SOUTH, txt);
  }

  public static void main(String[] args) {
      SysInfoGui sig = new SysInfoGui();
      //     sig.init();
      JFrame frame = new JFrame("SysInfoGui");
      frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      frame.getContentPane().add(sig);
      frame.setSize(250,350);
      sig.init();
      sig.start();
      frame.setVisible(true);

  }
} ///:~
