#!/bin/bash

if  [[ "$1" = "tar" ]]; then
    rm *~ 2>/dev/null
    for theApp in *; do
	if [ -d "$theApp" ]; then
	    cd $theApp
	    ../deploy.sh clean
	    cd ..
	fi
    done

    theTime=`eval date +%Y%m%d%H%M.tgz`
    tar czf ../tars/JavaWorkshop$theTime --exclude lib *
    exit 0
fi
    

if  [[ "$1" = "clean" ]]; then
    rm *~ 2>/dev/null
fi


for theApp in *; do
    if [ -d "$theApp" ]; then
	if  [[ "$theApp" = "lib" ]]; then
	    continue
	fi
	cd $theApp
	../deploy.sh $1
	cd ..
    fi
done

if [[ ! "$1" ]]; then
    cp index.html /opt/jakarta/tomcat/webapps/examples/
fi