//SortedArraySvlt.java
import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class SortedArraySvlt extends HttpServlet {
    private final static String appName = "SortedArray";
    private final static String startTime = (new Date()).toString();
    private int i=0;
    
    public void service(HttpServletRequest req,   HttpServletResponse res) throws IOException {
	res.setContentType("text/html");
	PrintWriter out = res.getWriter();
    SortedArrayHelper[] sah = {
	new SortedArrayHelper(),
	new SortedArrayHelper(2,"Chemnitz"),
	new SortedArrayHelper(3, "Bayreuth"),
	new SortedArrayHelper(4, "Freiburg"),
	new SortedArrayHelper(5, "Berlin"),
    };
	
	out.print("<HEAD><TITLE>");
	out.print(appName + "Svlt");
	out.print("</TITLE></HEAD><BODY>");
	out.print("<h2>" + appName + "</h2>");

	out.print("<br/>Before sorting:<ul>");
	for (int i = 0; i < sah.length; i++ ) 
	    out.print(sah[i].getPrintLine("<li>","</li>"));
	Arrays.sort(sah, new HelperComparator());
	out.print("</ul>After sorting:<ul>");
	for (int i = 0; i < sah.length; i++ ) 
	    out.print(sah[i].getPrintLine("<li>","</li>"));

	out.print("</ul><br/>Servlet was started: " + startTime + ". It did run " + ++i + " times.");
	out.print("<hr/>This is the " + appName + " servlet.");
	out.print("</BODY>");  
	
	out.close();    
    }
} 
