//HelperStringSplit.java

public class HelperStringSplit {
    // python-example 6
    public static String getMax(String path) {
	String delimiter="/";
	String[] sa = path.split(delimiter);
	int maxind = 0, maxlen = 0;
	for(int i=0; i < sa.length;i++)
	    if(sa[i].length()>maxlen ) {
		maxlen = sa[i].length();
		maxind = i;
	    }
	return(sa[maxind]);
    }

    // python-example 9
    public static boolean endsWith(String name, String end) {
	return(name.lastIndexOf(end) == (name.length() - end.length()));
    }

    public static void main(String[] args) {
	String test = "1234/12345/12/1234567/12/123/123456789/12/1";
	if( args.length > 0) test = args[0];
	System.out.println("testing " + test);
	System.out.println("max path: " + getMax(test));

	String file="foo.jpg";
	if(endsWith(file,".jpg"))
	    System.out.println("file is jpg");	    
    }
}

