//SysInfoSvlt.java

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class SysInfoSvlt extends HttpServlet {
    // member
    ResourceBundle rb = ResourceBundle.getBundle("LocalStrings");
    Runtime rt = Runtime.getRuntime();
    Properties pr = System.getProperties();
    String ContextString;
    String ServerString;
    String PropertiesString;
    ServletContext con;
    PrintStream LogStream;
    String LogString;

    public void init(ServletConfig config) throws ServletException {
        super.init(config);
	try {
	    if(LogStream == null) {
		LogStream = new PrintStream(new FileOutputStream("./nacke.log"));
	    } 

	    LogStream.println("NACKE-tries-to-log init(LogStream.println) AllInfoWeNeed Servlet"); 
	    System.out.println("NACKE-tries-to-log init(System.out.println) AllInfoWeNeed Servlet"); 
	    LogString = new String("Opened LogStream ok.\n");
	} 
	catch (java.io.FileNotFoundException e){
	    LogString += e.toString();
	}
	catch (Exception e) {
	    LogString += e.toString();
	}

	PropertiesString = "<table border=2>\n <tr><th>Nr.</th><th> key </th><th> Property </th></tr>\n";
	PropertiesString += SysInfoHelper.gatherInfo("<tr><td bgcolor=#CCFFCC> "," </td><td bgcolor=#CCFFCC>"," </td></tr>\n  ");
	PropertiesString += "</table>";

	int i=0;
	con = config.getServletContext();
	ContextString = "<table border=2>\n <tr><th>Nr.#</th><th>Element Name</th><th>Attribute Name</th></tr>\n";

	ContextString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>ServerInfo</td><td bgcolor=#CCFFCC>";
	ServerString = con.getServerInfo();
	ContextString += ServerString;
	ContextString += "</td></tr>\n";

	String virtPath = "/";
	ContextString += "<tr><td bgcolor=#CCFFCC>" + (++i) + 
	    "</td><td bgcolor=#CCFFCC>RealPath(\"" + virtPath + "\")</td>";
	try {
	    if (con.getRealPath(virtPath) != null)
		ContextString += "<td bgcolor=#CCFFCC>" + con.getRealPath(virtPath);
	    else
		ContextString += "<td bgcolor=#FFFFCC> empty";
	} catch (Exception e) {ContextString += "<td bgcolor=#FFCCCC>" + e.toString();}
	ContextString += "</td></tr>\n";

	Enumeration enum;
	String str;
	
	ContextString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>Java Servlet API Major.Minor Version</td>";
	try {
	    ContextString += "<td bgcolor=#CCFFCC>" + con.getMajorVersion() + "." +con.getMinorVersion()+ "</td></tr>\n";
	} catch (Throwable e) {
	    ContextString += "<td bgcolor=#FFCCCC>" + e.toString() + "</td></tr>\n";
	}

	enum = null;
	try {	
	    enum = con.getAttributeNames();	
	    while(enum.hasMoreElements()) {
		ContextString += "<tr><td bgcolor=#CCFFCC> " + (++i) + " </td><td bgcolor=#CCFFCC> <b>Attribute:</b> ";
		str = (String) enum.nextElement();
		str += "</td><td bgcolor=#CCFFCC> " + con.getAttribute(str).toString()+ " </td></tr>\n  ";
		ContextString += str;
	    }
	} catch (Throwable e) {
	    ContextString += "<tr><td bgcolor=#CCFFCC>" + (++i) 
		+ "</td><td bgcolor=#CCFFCC>getAttributeNames </td><td bgcolor=#FFCCCC>" + e.toString() + "</td></tr>\n";
	}
	ContextString += "</table>";

    }

    public void service(HttpServletRequest request,
                      HttpServletResponse response)
        throws IOException, ServletException
    {
        response.setContentType("text/html");
        PrintWriter out = response.getWriter();
	log("NACKE-tries-to-log SysInfoSvlt Servlet"); 
        out.write("<html>");
        out.println("<body bgcolor=\"white\">");
        out.println("<head>");
	String title = rb.getString("allinfoweneed.title");
	out.println("<title>" + title + "</title>");
        out.println("</head>");
        out.println("<body>");

        out.println("<a href=\"/examples/index.html\" target=\"_parent\">");
        out.println("<img src=\"/examples/images/return.gif\" height=24 " +
                    "width=24 align=right border=0 alt=\"return\"></a>");
        out.println("<h3>" + title + "</h3>");
        out.println("<p>LogString: " + LogString + "</p>");

	// session info
        HttpSession session = request.getSession(false);
	String SessionNew = "<h4>no new Session</h4>";
	if(session == null) {
	    SessionNew = "<h4>!! a new Session</h4>";
	    session = request.getSession(true);
	}
	int i=0;
	String SessionString = SessionNew + "<table border=2>\n <tr><th>Nr.</th><th> Method </th><th> return value </th></tr>\n";

	SessionString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>sessions.id</td><td bgcolor=#CCFFCC>";
	SessionString += session.getId()+ "</td></tr>\n";

	SessionString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>sessions.created</td><td bgcolor=#CCFFCC>";
	SessionString += new Date(session.getCreationTime()) + "</td></tr>\n";

	SessionString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>sessions.lastaccessed</td><td bgcolor=#CCFFCC>";
	SessionString += new Date(session.getLastAccessedTime()) + "</td></tr>\n";

	// --------------------------------------- new functions begin -----------------------------------------
	SessionString += "<tr><td bgcolor=#CCFFCC>" + (++i) 
	    + "</td><td bgcolor=#CCFFCC>sessions.MaxInactiveInterval</td>";
	try {
	    SessionString += "<td bgcolor=#CCFFCC>" + session.getMaxInactiveInterval() + " seconds </td></tr>\n";
	} catch (Throwable e) {
	    SessionString += "<td bgcolor=#FFCCCC>" + e.toString() + "</td></tr>\n"; 
	}

	try {
	    Enumeration names = session.getAttributeNames();
	    if(!(names.hasMoreElements())) {
		SessionString += "<tr><td bgcolor=#CCFFCC> " + (++i) + " </td><td bgcolor=#CCFFCC>getAttributeNames</td><td bgcolor=#FFFFCC>" +
		    "no Attributes found" + "</td></tr>\n"; 
	    }
	    else {
		while (names.hasMoreElements()) {
		    String name = (String) names.nextElement(); 
		    String value = session.getAttribute(name).toString();
		    SessionString += "<tr><td bgcolor=#CCFFCC> " + (++i) + "</td><td bgcolor=#CCFFCC>" + name 
			+ "</td><td bgcolor=#CCFFCC>" + value + "</td></tr>\n";
		}
	    }
	} catch (Throwable e) {
	    SessionString += "<tr><td bgcolor=#CCFFCC> " + (++i) + " </td><td bgcolor=#CCFFCC>getAttributeNames</td><td bgcolor=#FFCCCC>" +
		e.toString() + "</td></tr>\n"; 
	}
	// --------------------------------------- new functions end -------------------------------------------
	
	SessionString += "</table>";

	// request info
	i=0;
	String RequestString = "<table border=2>\n <tr><th>Nr.</th><th> Method </th><th> return value </th></tr>\n";

	RequestString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>Method </td><td bgcolor=#CCFFCC>";
	RequestString += request.getMethod() + "</td></tr>\n";

	RequestString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>RequestURI</td><td bgcolor=#CCFFCC>";
	RequestString += request.getRequestURI() + "</td></tr>\n";

	RequestString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>Protocol</td><td bgcolor=#CCFFCC>";
	RequestString += request.getProtocol() + "</td></tr>\n";

	RequestString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>PathInfo</td><td bgcolor=#CCFFCC>";
	RequestString += request.getPathInfo() + "</td></tr>\n";

	RequestString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>RemoteAddr</td><td bgcolor=#CCFFCC>";
	RequestString += request.getRemoteAddr() + "</td></tr>\n";

	RequestString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>ServletPath</td><td bgcolor=#CCFFCC>";
	RequestString += request.getServletPath() + "</td></tr>\n";

	RequestString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>PathTranslated</td><td bgcolor=#CCFFCC>";
	RequestString += request.getPathTranslated() + "</td></tr>\n";

	RequestString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>ServerName</td><td bgcolor=#CCFFCC>";
	RequestString += request.getServerName() + "</td></tr>\n";

	RequestString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>ServerPort</td><td bgcolor=#CCFFCC>";
	RequestString += request.getServerPort() + "</td></tr>\n";

	RequestString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>Header(User-Agentxs)</td><td bgcolor=#CCFFCC>";
	RequestString += request.getHeader("User-Agentxs") + "</td></tr>\n";

	RequestString += "<tr><td bgcolor=#CCFFCC>" + (++i) + "</td><td bgcolor=#CCFFCC>ContentLength</td><td bgcolor=#CCFFCC>";
	RequestString += request.getContentLength() + "</td></tr>\n";


	RequestString += "</table>";

	out.println(" <p>Hi! This is the Servlet 'SysInfoSvlt'. It comes from a " +
	    ServerString + " that has " 
	    + rt.freeMemory() + " Bytes free memory.</p> <p>We tried to find out all info probably needed</p>\n");

	out.println("<hr><h4> Some Variables gathered from Session</h4><p>" + SessionString + "</p>\n");
	out.println("<hr><h4> Some Variables gathered from ServletContext</h4><p>" + ContextString + "</p>\n");


	String virtPath = request.getParameter("VirtPathName");
	if (virtPath == null) virtPath = "/";
	out.println("<p>virtual path: '" + virtPath + "' maps to real path: '");
	try {
	    out.println(con.getRealPath(virtPath) + "' .</p>\n");
	} catch (Exception e) {
	    out.println(e.toString() + "' .</p>\n");
	}

	out.println("<p>Wonna change the virtual path name?</p>\n");

	out.println("<p>");
	out.print("<form action=\"");
	out.print("SysInfoSvlt\" ");
	out.println("method=POST>");
	out.println("New Virtual Path Name:  ");
	out.println("<input type=text size=40 name=VirtPathName>");
	out.println("</p><p>");
	out.println("<input type=submit></p>");
	out.println("</form>");

	out.println("<hr><h4> Some Variables gathered from ServletRequest</h4><p>" + RequestString + "</p>\n");
	out.println("<hr><h4> The results delivered from method Properties.getProperty(key): </h4><hr/><p>" +
		    PropertiesString + "</p>\n");


	out.println("<hr><p>That's it, folks.</p>\n");
        out.println("</body>");
        out.println("</html>");
    }

  public static void invalidate(HttpServletRequest request) {
    HttpSession session = request.getSession(true);
    try {}catch(Exception e){}
    session.invalidate();
  }



}
